Get account values for querying bill line items. - m3ter Documentation
Get account values for querying bill line items
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills/accounts \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 4XX
- 5XX
JSON Response Structures
{
"accountCodes": [
"<string>"
],
"accounts": [
{
"code": "<string>",
"name": "<string>"
}
]
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId
- Type: string
- Required
- UUID of the organization.
Query Parameters
- limit
- Type: integer
- Limit the number of items returned.
- Required range:
1 <= x <= 2000
- Type: integer
Response
200
Media type: application/json
Returns a list of accounts.
Response containing accounts used for filtering bill queries.
accountCodes
- Type: string[]
- A list of account codes.
accounts
- Type: object[]
- A list of accounts.